# cpr_directory.hpp File Reference

`#include <string>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/types.hpp>`
`#include <saga/saga/object.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/detail/attribute.hpp>`
`#include <saga/saga/packages/cpr/cpr_checkpoint.hpp>`
`#include <saga/saga/packages/namespace/namespace_dir.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::cpr
namespace | saga::cpr::metrics
## Classes
class | saga::cpr::directory
| A checkpoint directory contains, you guess it, checkpoints. More...
## Variables
char const *const | saga::cpr::metrics::directory_created_entry = "directory.CreatedEntry"
char const *const | saga::cpr::metrics::directory_modified_entry = "directory.ModifiedEntry"
char const *const | saga::cpr::metrics::directory_deleted_entry = "directory.DeletedEntry"